%define		oname turpial

Name:		python-%{oname}
Version:	1.6.9
Release:	%mkrel 2
Summary:	Cool twitter client with many features and very light
Group:		Networking/Other
License:	GPLv3
URL:		http://turpial.org.ve
Source0:	http://files.turpial.org.ve/sources/stable/turpial-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python-babel
BuildRequires:	python-devel

Requires:	gnome-python-gtkspell
Requires:	gstreamer0.10-python
Requires:	pygtk2.0
Requires:	python-notify
Requires:	python-simplejson
Requires:	python-webkitgtk

%description
Turpial is a microblogging client written in Python. It is lightweight,
functional and does not harm the ozone layer.


%prep
%setup -q -n %{oname}-%{version}


%build


%install
sed -i 's/share\/doc\/turpial/share\/doc\/%{name}-%{version}/' setup.py
sed -i 's/\.\//share\/doc\/%{name}-%{version}/' setup.py
%{__python} setup.py compile_catalog
%{__python} setup.py install --root %{buildroot}
%find_lang %{oname}

%files -f %{oname}.lang
%attr(0644,root,root) %{_datadir}/doc/%{name}-%{version}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/turpial.png
%attr(0755,root,root) %{_bindir}/*
%{python_sitelib}/*
%attr(0755,root,root) %{python_sitelib}/turpial/main.py
%attr(0755,root,root) %{python_sitelib}/turpial/api/services/uploadpic/pyTweetPhoto.py


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.6.9-2.mga3
+ Revision: 379585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + sander85 <sander85>
    - New description from home page.

* Thu Dec 06 2012 sander85 <sander85> 1.6.9-1.mga3
+ Revision: 327319
- imported package python-turpial

